<mat-accordion multi="true" *ngIf="posts.length > 0">
    <mat-expansion-panel *ngFor = "let post of posts">
        <mat-expansion-panel-header>
          {{ post.title }}
        </mat-expansion-panel-header>
        <p>{{ post.content }}</p>
        <mat-action-row>
          <a mat-button color="accent" [routerLink]="['/edit',post.id]">Edit</a>
          <button mat-button color="warn" (click)="onDelete(post.id)">Delete</button>

        </mat-action-row>
    </mat-expansion-panel>
</mat-accordion>
<p class="info-text mat-body-1" *ngIf="posts.length<=0">No Post's Added Yet</p>